## org.apache.poi.hssf.model
Class PolygonShape

    java.lang.Object
      org.apache.poi.hssf.model.AbstractShape
          org.apache.poi.hssf.model.PolygonShape

public class PolygonShape
extends AbstractShape

Field Summary
`static short` `OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING`

Method Summary
`ObjRecord` `getObjRecord()`
`EscherContainerRecord` `getSpContainer()`

Methods inherited from class org.apache.poi.hssf.model.AbstractShape
`addStandardOptions, createAnchor, createShape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING

    public static final short OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING

See Also:
  Constant Field Values

Method Detail

### getSpContainer

    public EscherContainerRecord getSpContainer()

  Specified by:
    `getSpContainer` in class `AbstractShape`
  Returns:
    The shape container and it's children that can represent this shape.

### getObjRecord

    public ObjRecord getObjRecord()

  Specified by:
    `getObjRecord` in class `AbstractShape`
  Returns:
    The object record that is associated with this shape.

Copyright © 2003 Apache Software Foundation.